Macro ForceRecompute

From FreeCAD Documentation
Revision as of 10:48, 23 May 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

Force Recompute.png Macro Force Recompute

Description
Cette petite macro force un recalcul manuel du modèle.
Parfois, l'utilisateur applique des modifications au modèle dans FreeCAD.
Mais FreeCAD ne semble pas les reconnaître.
(À partir de Introduit dans la version 0.17 l'effet de cette macro peut être obtenu via l'interface graphique. Cliquez avec le bouton droit sur le projet dans l'arborescence du modèle et choisissez "Marquer pour recalculer" dans le menu contextuel. Ensuite, appuyez sur le bouton Recalculer.)

Version macro : 1.0
Date dernière modification : 2014-09-01
Version FreeCAD : All
Téléchargement : ToolBar Icon
Auteur
shoogen
Téléchargement
ToolBar Icon
Liens
Version Macro
1.0
Dernière modification
2014-09-01
Version(s) FreeCAD
All
Raccourci clavier
None
Voir aussi
None


Description

Parfois, lorsqu'un utilisateur applique des modifications au modèle, FreeCAD ne semble pas les reconnaître/les intégrer. En outre, le bouton bleu Std Refresh.svg Std Rafraîchir reste grisé. Cette petite macro a donc été conçue pour forcer un recalcul manuel du modèle.

Remarque: a partir de v0.17 et suivantes, l'effet de cette macro peut être obtenu via l'interface graphique. Cliquez avec le bouton droit sur le projet dans la vue en arborescence du modèle et choisissez Mark to recompute dans le menu contextuel. Cela revient à réactiver l'icône Actualiser/Recalculer. Appuyez maintenant sur le bouton Std Refresh.svg Std Rafraîchir pour déclencher un recalcul.

Utilisation

Lancer la macro au moment voulu.

Script

ToolBar Icon Force Recompute.png

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()